4 Replies Latest reply: Dec 11, 2012 10:05 PM by mende1
Sarah Griffiths Level 1 Level 1 (0 points)

Says I need OSX 10.7 but I have 10.6.8 with the latest software update and says my software is up to date... Are Apple forcing me to buy OSX Mountain Lion?